<p>add-prospect works!</p>

<div class="form-text container">
    <div class="form-row mt-4">
        <div class="col-md-10">
            <h2>Alta de prospectos</h2>
        </div>
        <div class="col-md-2">
            <button type="button" class="btn btn-danger btn-block" (click)="redirectToProspectList()">Salir</button>
        </div>
    </div>
    <div class="form-row mt-4">
        <div class="col-md-4">
            <label for="NameInput">Nombre</label>
            <input type="text" [(ngModel)]="prospect.nombre" class="form-control" autocomplete="off" id="NameInput" placeholder="Requerido" required>
        </div>
        <div class="col-md-4">
            <label for="LastName">Apellido Paterno</label>
            <input type="text" [(ngModel)]="prospect.primer_apellido" class="form-control" id="LastName" placeholder="Requerido" required>
        </div>
        <div class="col-md-4">
            <label for="NameInput">Apellido Materno</label>
            <input type="text" [(ngModel)]="prospect.segundo_apellido" class="form-control" autocomplete="off" id="MotherLastNameInput" >
        </div>
    </div>
    <div class="form-row mt-4">
        <div class="col-md-6">
            <label for="StreetInput">Calle</label>
            <input type="text" [(ngModel)]="prospect.calle" class="form-control" autocomplete="off" id="StreetInput" placeholder="Requerido" required>
        </div>
        <div class="col-md-4">
            <label for="ColonyInput">Numero de Casa</label>
            <input type="text" [(ngModel)]="prospect.numero_casa" class="form-control" autocomplete="off" id="ColonyInput" placeholder="Requerido" required>
        </div>
        <div class="col-md-4">
            <label for="ColonyInput">Colonia</label>
            <input type="text" [(ngModel)]="prospect.colonia" class="form-control" autocomplete="off" id="ColonyInput" placeholder="Requerido" required>
        </div>
        <div class="col-md-2">
            <label for="PostalCodeInput">Codigo Postal</label>
            <input type="text" [(ngModel)]="prospect.codigo_postal" class="form-control" autocomplete="off" id="PostalCodeInput" placeholder="Requerido" required>
        </div>
    </div>
    <div class="form-row mt-4">
        
        <div class="col-md-4">
            <label for="RfcInput">Rfc</label>
            <input type="text" [(ngModel)]="prospect.rfc" class="form-control" autocomplete="off" id="RfcInput" placeholder="Requerido" required>
        </div>
        
        
        
        <div class="col-md-4">
            <label for="PhoneInput">Telefono</label>
            <input type="text" [(ngModel)]="prospect.telefono" class="form-control" autocomplete="off" id="RfcInput" placeholder="Requerido" required>
        </div>
        
    </div>

    <div class="form-row">
        <div class="col-md-6 mt-4">
            <div class="custom-file">
                <input type="file" accept="image/*,.pdf" class="custom-file-input" multiple (change)="onMultipleFileSelect($event)">
                <label class="custom-file-label" for="customFile">{{labelFile}}</label>
            </div>
        </div>
    </div>

    <div class="col-md-4">
        <label for="PhoneInput">Tipo Documento</label>
        <input type="text" [(ngModel)]="prospect.tipo_documento" class="form-control" autocomplete="off" id="RfcInput" placeholder="Requerido" required>
    </div>

    <div class="col-md-4">
        <label for="PhoneInput">Número documento</label>
        <input type="text" [(ngModel)]="prospect.numero_documento" class="form-control" autocomplete="off" id="RfcInput" placeholder="Requerido" required>
    </div>

    <div class="form-row">
        <div class="col-md-2 mb-4 mt-4">
            <button type="button" class="btn btn-primary btn-block" (click)="saveProspect(prospect)">Guardar > Enviar</button>
        </div>
    </div>
</div>
